SCTP_FREEPADDRS(3)

NAME
sctp_freepaddrs, sctp_freeladdrs - release the memory returned from a previous call

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/sctp.h>
void
sctp_freepaddrs(struct sockaddr *);
void
sctp_freeladdrs(struct sockaddr *);

DESCRIPTION
The sctp_freepaddrs() and sctp_freeladdrs() functions are used to release the memory allocated by previous calls to sctp_getpaddrs() or sctp_getladdrs() respectively.

RETURN VALUES
none.

SEE ALSO
sctp_getladdrs(3), sctp_getpaddrs(3), sctp(4) R. Stewart, M. Tuexen, K. Poon, P. Lei, V. Yasevich, Sockets API Extensions for the Stream Control Transmission Protocol (SCTP), RFC 6458, December 2011.

STANDARDS
The sctp_freepaddrs() and sctp_freeladdrs() functions conform to RFC 6458.